Bug 7760 - Add ids and classes to every staff page to help with customizaton
Summary: Add ids and classes to every staff page to help with customizaton
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 20268
  Show dependency treegraph
 
Reported: 2012-03-20 15:13 UTC by Katrin Fischer
Modified: 2018-02-26 13:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7760: Add unique ids and a module class to all acquisitions pages (12.52 KB, patch)
2012-03-20 15:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760: Add unique ids and a module class to all acquisitions pages (12.63 KB, patch)
2012-03-20 15:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760: Add unique ids and a module class to all authorities pages (4.80 KB, patch)
2012-03-20 16:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 7760: Add unique ids and a module class to all acquisitions pages (12.73 KB, patch)
2012-03-20 16:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760: Add unique ids and a module class to all administration pages (22.61 KB, patch)
2012-03-20 17:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 7760: Add unique ids and a module class to all authorities pages (4.91 KB, patch)
2012-03-21 11:11 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 7760: Add unique ids and a module class to all administration pages (22.72 KB, patch)
2012-03-21 11:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760: Add ids and classes to every staff page to help with customizaton (cart) (2.46 KB, patch)
2012-03-21 15:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760: Add ids and classes to every staff page to help with customizaton (batch, error) (4.64 KB, patch)
2012-03-21 15:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760: Add ids and classes to every staff page to help with customizaton (batch, error) (4.64 KB, patch)
2012-03-21 15:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customizaton (catalog) (7.27 KB, patch)
2012-03-21 15:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760: Add ids and classes to every staff page to help with customizaton (cart) (2.56 KB, patch)
2012-03-21 16:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customizaton (cataloguing) (47.39 KB, patch)
2012-03-21 21:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customizaton (circulation) (9.97 KB, patch)
2012-03-21 21:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customizaton (lists, suggestion, z39.50) (4.13 KB, patch)
2012-03-22 10:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customization (patrons) (12.17 KB, patch)
2012-03-22 10:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Add ids and classes to every staff page to help with customization (serials) (12.01 KB, patch)
2012-03-22 10:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760: Add ids and classes to every staff page to help with customizaton (batch, error) (4.74 KB, patch)
2012-03-22 10:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customization (tools) (11.60 KB, patch)
2012-03-22 10:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customizaton (catalog) (7.37 KB, patch)
2012-03-22 10:41 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customizaton (cataloguing) (47.49 KB, patch)
2012-03-22 10:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customization (patroncard, labels) (14.56 KB, patch)
2012-03-22 10:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customizaton (circulation) (10.07 KB, patch)
2012-03-22 10:57 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customizaton (lists, suggestion, z39.50) (4.23 KB, patch)
2012-03-22 11:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760 - Add ids and classes to every staff page to help with customization (reports, ...) (17.91 KB, patch)
2012-03-22 11:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customization (patrons) (12.28 KB, patch)
2012-03-22 11:23 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Add ids and classes to every staff page to help with customization (serials) (12.11 KB, patch)
2012-03-22 13:02 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customization (tools) (11.71 KB, patch)
2012-03-22 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customization (patroncard, labels) (14.66 KB, patch)
2012-03-22 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760 - Add ids and classes to every staff page to help with customization (reports, ...) (18.01 KB, patch)
2012-03-22 13:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7760: More ids and classes for the staff interface (2.24 KB, patch)
2012-03-23 09:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7760: More ids and classes for the staff interface (2.34 KB, patch)
2012-03-23 10:11 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-03-20 15:13:26 UTC
To improve styling options for the staff interface we have discussed following ideas:

- adding a unique id to every page in staff
- adding a class for the module a page belongs to

This would help with writing CSS/jQuery and make it possible to have individual styes and color schemes for each module.
Comment 1 Katrin Fischer 2012-03-20 15:43:25 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-03-20 15:51:44 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-03-20 16:04:16 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-03-20 16:15:01 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2012-03-20 17:02:03 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2012-03-21 11:11:10 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2012-03-21 11:21:44 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2012-03-21 15:20:04 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2012-03-21 15:26:06 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2012-03-21 15:27:41 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2012-03-21 15:59:29 UTC Comment hidden (obsolete)
Comment 12 Owen Leonard 2012-03-21 16:34:37 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2012-03-21 21:09:22 UTC Comment hidden (obsolete)
Comment 14 Katrin Fischer 2012-03-21 21:45:41 UTC Comment hidden (obsolete)
Comment 15 Katrin Fischer 2012-03-22 10:11:49 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2012-03-22 10:12:50 UTC Comment hidden (obsolete)
Comment 17 Katrin Fischer 2012-03-22 10:25:18 UTC Comment hidden (obsolete)
Comment 18 Owen Leonard 2012-03-22 10:34:05 UTC Comment hidden (obsolete)
Comment 19 Katrin Fischer 2012-03-22 10:40:54 UTC Comment hidden (obsolete)
Comment 20 Owen Leonard 2012-03-22 10:41:21 UTC Comment hidden (obsolete)
Comment 21 Owen Leonard 2012-03-22 10:50:25 UTC Comment hidden (obsolete)
Comment 22 Katrin Fischer 2012-03-22 10:55:13 UTC Comment hidden (obsolete)
Comment 23 Owen Leonard 2012-03-22 10:57:31 UTC Comment hidden (obsolete)
Comment 24 Owen Leonard 2012-03-22 11:13:08 UTC Comment hidden (obsolete)
Comment 25 Katrin Fischer 2012-03-22 11:13:36 UTC Comment hidden (obsolete)
Comment 26 Owen Leonard 2012-03-22 11:23:06 UTC Comment hidden (obsolete)
Comment 27 Owen Leonard 2012-03-22 13:02:01 UTC Comment hidden (obsolete)
Comment 28 Owen Leonard 2012-03-22 13:39:59 UTC Comment hidden (obsolete)
Comment 29 Owen Leonard 2012-03-22 13:48:08 UTC Comment hidden (obsolete)
Comment 30 Owen Leonard 2012-03-22 13:56:46 UTC Comment hidden (obsolete)
Comment 31 Paul Poulain 2012-03-22 17:16:47 UTC
QA comment : template only changes, just add ids to each body.

valid_template test still OK

passed QA
Comment 32 Owen Leonard 2012-03-23 08:59:23 UTC
Here's a quick example showing how one might begin to add colors based on these patches. This snippet of CSS adds colors to the header menu and the breadcrumbs, specific to circulation functions:

/* Circulation */
body.circ #header, body.circ #breadcrumbs { background-color: #8189D1;  border-bottom: 1px solid #484E82; }
body.circ #header a, body.circ #breadcrumbs a { color: #FFFFFF; font-weight: bold; }
body.circ #header, body.circ #breadcrumbs { color : #DDDDDD; }
body.circ #moremenu a { color : #8189D1; }

You would then create different declarations for each section you wanted to make distinct. The new classes:

acq (acquisitions)
admin (administration)
auth (authorities)
batch (batch/print-notices.tt)
catalog (catalog)
cart (cart)
cat (cataloging)
circ (circulation)
err (errors)
lists (lists)
pat (patrons)
rep (reports)
ser (serials)
tools (tools)
   - "tools" pages with multiple sub-pages get two classes, 
     tools + their own class:
       labels (labels)
       pcard (patron cards)
       rcoll (rolling collections)
   - "tools" pages which consist of a single page have only the "tools"
     class and, like every other page, their own unique ID. e.g.
     <body id="tools_holidays" class="tools">

More <div>s will have to be added in the future to increase customization options futher. For instance, the space between the header menu at the top of the page and the breadcrumbs is not contained within a single <div> which would allow customization of the background between those elements. It's also not possible to assign specific CSS to the main body of the page (everything between breadcrumbs and the language menu footer). New bugs reports should cover these changes.

P.S. If anyone wants to build a web-based tool to automatically generate a full color scheme based on the user's color picks please do so :)
Comment 33 Paul Poulain 2012-03-23 09:05:36 UTC
adding gaetan to cc list of this bug
Comment 34 Katrin Fischer 2012-03-23 09:05:52 UTC Comment hidden (obsolete)
Comment 35 Paul Poulain 2012-03-23 09:09:28 UTC
Also note that you can add this can easily be achieved by putting owen's code into IntranetUserCSS syspref (just tested it work well: it does)
Comment 36 Owen Leonard 2012-03-23 10:11:24 UTC
Created attachment 8565 [details] [review]
[SIGNED-OFF] Bug 7760: More ids and classes for the staff interface

Owen pointed out that I missed 3 files - this corrects my omission.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 37 Owen Leonard 2012-03-23 10:41:00 UTC
I have filed Bug 7812 describing the next set of markup changes I think we need.
Comment 38 Ian Walls 2012-03-25 21:38:37 UTC
All these patches are solid, consistent and on-topic.  All of them are now marked Passed QA.
Comment 39 Katrin Fischer 2012-03-25 21:43:57 UTC
I obsoleted the pushed patches -only 1 is missing from master now.
Comment 40 Paul Poulain 2012-03-26 14:21:41 UTC
everything pushed now
Comment 41 Jared Camins-Esakov 2012-05-09 19:57:51 UTC
This bug will be included in the Koha 3.6.5 release.
Comment 42 Jared Camins-Esakov 2012-05-09 20:04:45 UTC
This bug will be included in the Koha 3.6.5 release.